Skip to main content
POST
/
{workspace_id}
/
list
List audit logs
curl --request POST \
  --url https://app.base44.com/api/v1/audit-logs/{workspace_id}/list \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "event_types": [
    "auth.login",
    "app.entity.created"
  ],
  "user_email": "jane@acme.com",
  "status": "success",
  "start_date": "2026-01-01T00:00:00Z",
  "end_date": "2026-02-01T00:00:00Z",
  "app_id": "6820f3a4e7b91d003c45a1f2",
  "limit": 100,
  "cursor": "gAAAAABn7vJ...",
  "order": "DESC"
}
'
{
  "events": [
    {
      "timestamp": "2026-01-15T09:23:41Z",
      "user_email": "jane@acme.com",
      "workspace_id": "67f2c8e01a3b5d004e92d7a1",
      "app_id": "6820f3a4e7b91d003c45a1f2",
      "ip": "203.0.113.42",
      "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)",
      "event_type": "auth.login",
      "status": "success",
      "error_code": "",
      "metadata": {
        "auth_method": "email_password"
      }
    }
  ],
  "pagination": {
    "total": 347,
    "next_cursor": "gAAAAABn7vJ..."
  }
}

Authorizations

api_key
string
header
required

API key for authentication. See the Authentication page for your API for details on how to get your key.

Path Parameters

workspace_id
string
required

Workspace ID. See Overview for how to find it.

Body

application/json

Request body for listing audit log events.

event_types
string[] | null

Filter by one or more event types.

Example:
["auth.login", "app.entity.created"]
user_email
string | null

Filter by user email.

Example:

"jane@acme.com"

status
string | null

Filter by status. Either "success" or "failure".

Example:

"success"

start_date
string<date-time> | null

Filter events from this date (inclusive) in YYYY-MM-DDTHH:MM:SSZ format.

Example:

"2026-01-01T00:00:00Z"

end_date
string<date-time> | null

Filter events until this date (exclusive) in YYYY-MM-DDTHH:MM:SSZ format.

Example:

"2026-02-01T00:00:00Z"

app_id
string | null

App ID to narrow results to a specific app.

Example:

"6820f3a4e7b91d003c45a1f2"

limit
integer
default:50

Number of events per page.

Required range: 1 <= x <= 1000
Example:

100

cursor
string | null

Pagination cursor from a previous response.

Example:

"gAAAAABn7vJ..."

order
enum<string>
default:DESC

Sort order by timestamp.

Available options:
ASC,
DESC
Example:

"DESC"

Response

Successful Response

Response containing a page of audit log events.

events
PublicAuditLogResponse · object[]
required

List of audit log events.

pagination
PublicPaginationInfo · object
required

Pagination metadata.